#ifndef INC_ENEMYDOGCLASS_H
#define INC_ENEMYDOGCLASS_H

#include <SDL/SDL.h>
#include <SDL/SDL_opengl.h>
#include "SpriteClass.h"
#include "SoundClass.h"
#include "defines.h"
#include "gmath.h"

class EnemyDog
{
	private:
		int x, y, w, h, current_triangle[4];		
        double hspeed, vspeed, image_index;
        unsigned char images, image_speed, img_w, img_h;
        unsigned int tex_w, tex_h;
        char sprite_index;
        bool facing, animated, attacking, destroyed;			      
	public:
		EnemyDog();
		void create(int, int);
		void show(unsigned int terrain_grid[][9]);
		void move(unsigned int terrain_grid[][9], unsigned int);
		void being_hurt();
		void destroy();
        void update_sprite(unsigned int terrain_grid[][9]);        
        int get_x() {return x;};
        int get_y() {return y;};
        double get_hspeed() {return hspeed;};
        double get_vspeed() {return vspeed;};    
        bool get_facing() {return facing;};    
        bool get_destroyed() {return destroyed;};            
		void set_x( int _x, unsigned int terrain_grid[][9] );
        void set_y( int _y, unsigned int terrain_grid[][9] );
        void set_xy( int _x, int _y, unsigned int terrain_grid[][9] );
		bool can_move( unsigned int terrain_grid[][9], int _x, int _y );
		bool set_sprite( unsigned char sprite );
		void set_attacking( bool atk );
		void set_my_triangles(unsigned int [][9], unsigned int );
};

#endif /* INC_ENEMYDOGCLASS_H */
